SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - e -

- E_ACCESS_DENIED : SDH::cDSA
- E_ALREADY_OPEN : SDH::cDSA
- E_ALREADY_RUNNING : SDH::cDSA
- E_CHECKSUM_ERROR : SDH::cDSA
- E_CMD_ABORTED : SDH::cDSA
- E_CMD_FAILED : SDH::cDSA
- E_CMD_FORMAT_ERROR : SDH::cDSA
- E_CMD_NOT_ENOUGH_PARAMS : SDH::cDSA
- E_CMD_PENDING : SDH::cDSA
- E_CMD_UNKNOWN : SDH::cDSA
- E_DEVICE_NOT_FOUND : SDH::cDSA
- E_DEVICE_NOT_OPENED : SDH::cDSA
- E_FEATURE_NOT_SUPPORTED : SDH::cDSA
- E_INCONSISTENT_DATA : SDH::cDSA
- E_INDEX_OUT_OF_BOUNDS : SDH::cDSA
- E_INSUFFICIENT_RESOURCES : SDH::cDSA
- E_INVALID_HANDLE : SDH::cDSA
- E_INVALID_PARAMETER : SDH::cDSA
- E_IO_ERROR : SDH::cDSA
- E_NO_SENSOR : SDH::cDSA
- E_NOT_AVAILABLE : SDH::cDSA
- E_NOT_INITIALIZED : SDH::cDSA
- E_OVERRUN : SDH::cDSA
- E_RANGE_ERROR : SDH::cDSA
- E_READ_ERROR : SDH::cDSA
- E_SUCCESS : SDH::cDSA
- E_TIMEOUT : SDH::cDSA
- E_WRITE_ERROR : SDH::cDSA
- eAS_CCW_BLOCKED : SDH::cSDH
- eAS_CW_BLOCKED : SDH::cSDH
- eAS_DIMENSION : SDH::cSDH
- eAS_DISABLED : SDH::cSDH
- eAS_IDLE : SDH::cSDH
- eAS_LIMITS_REACHED : SDH::cSDH
- eAS_NOT_INITIALIZED : SDH::cSDH
- eAS_POSITIONING : SDH::cSDH
- eAS_SPEED_MODE : SDH::cSDH
- eAxisState : SDH::cSDH
- eControllerType : SDH::cSDHBase
- eCT_DIMENSION : SDH::cSDHBase
- eCT_INVALID : SDH::cSDHBase
- eCT_POSE : SDH::cSDHBase
- eCT_VELOCITY : SDH::cSDHBase
- eCT_VELOCITY_ACCELERATION : SDH::cSDHBase
- eDSAErrorCode : SDH::cDSA
- eEC_ACCESS_DENIED : SDH::cSDHBase
- eEC_ALREADY_OPEN : SDH::cSDHBase
- eEC_ALREADY_RUNNING : SDH::cSDHBase
- eEC_AXIS_DISABLED : SDH::cSDHBase
- eEC_CHECKSUM_ERROR : SDH::cSDHBase
- eEC_CMD_ABORTED : SDH::cSDHBase
- eEC_CMD_FAILED : SDH::cSDHBase
- eEC_CMD_FORMAT_ERROR : SDH::cSDHBase
- eEC_CMD_UNKNOWN : SDH::cSDHBase
- eEC_CRC_ERROR : SDH::cSDHBase
- eEC_DEVICE_NOT_FOUND : SDH::cSDHBase
- eEC_DEVICE_NOT_OPENED : SDH::cSDHBase
- eEC_DIMENSION : SDH::cSDHBase
- eEC_FEATURE_NOT_SUPPORTED : SDH::cSDHBase
- eEC_HOMING_ERROR : SDH::cSDHBase
- eEC_INCONSISTENT_DATA : SDH::cSDHBase
- eEC_INDEX_OUT_OF_BOUNDS : SDH::cSDHBase
- eEC_INSUFFICIENT_RESOURCES : SDH::cSDHBase
- eEC_INTERNAL : SDH::cSDHBase
- eEC_INVALID_HANDLE : SDH::cSDHBase
- eEC_INVALID_PARAMETER : SDH::cSDHBase
- eEC_INVALID_PASSWORD : SDH::cSDHBase
- eEC_IO_ERROR : SDH::cSDHBase
- eEC_MAX_COMMANDLINE_EXCEEDED : SDH::cSDHBase
- eEC_MAX_COMMANDS_EXCEEDED : SDH::cSDHBase
- eEC_NO_COMMAND : SDH::cSDHBase
- eEC_NO_DATAPIPE : SDH::cSDHBase
- eEC_NO_PARAMS_EXPECTED : SDH::cSDHBase
- eEC_NOT_AVAILABLE : SDH::cSDHBase
- eEC_NOT_ENOUGH_PARAMS : SDH::cSDHBase
- eEC_NOT_INITIALIZED : SDH::cSDHBase
- eEC_OVER_TEMPERATURE : SDH::cSDHBase
- eEC_RANGE_ERROR : SDH::cSDHBase
- eEC_READ_ERROR : SDH::cSDHBase
- eEC_SUCCESS : SDH::cSDHBase
- eEC_TIMEOUT : SDH::cSDHBase
- eEC_UNKNOWN_ERROR : SDH::cSDHBase
- eEC_WRITE_ERROR : SDH::cSDHBase
- eErrorCode : SDH::cSDHBase
- eGID_CENTRICAL : SDH::cSDHBase
- eGID_CYLINDRICAL : SDH::cSDHBase
- eGID_DIMENSION : SDH::cSDHBase
- eGID_INVALID : SDH::cSDHBase
- eGID_PARALLEL : SDH::cSDHBase
- eGID_SPHERICAL : SDH::cSDHBase
- eGraspId : SDH::cSDHBase
- Elapsed() : SDH::cSimpleTime
- Elapsed_us() : SDH::cSimpleTime
- eMAX_CHARS : SDH::cSimpleStringList
- eMAX_LINES : SDH::cSimpleStringList
- eMAX_MSG : SDH::cMsg
- eMCM_DIMENSION : SDH::cSDH
- eMCM_GRIP : SDH::cSDH
- eMCM_HOLD : SDH::cSDH
- eMCM_MOVE : SDH::cSDH
- EmergencyStop() : SDH::cSDH
- eMotorCurrentMode : SDH::cSDH
- eNUMBER_OF_ELEMENTS : SDH::cSimpleVector
- EOL : SDH::cSDHSerial
- eps : SDH::cSDHBase
- eps_v : SDH::cSDHBase
- error_code : SDH::cDSA::sMatrixInfo , SDH::cDSA::sControllerInfo , SDH::cDSA::sSensorInfo , SDH::cDSA::sSensitivityInfo
- ErrorCodeToString() : SDH::cDSA
- eVelocityProfile : SDH::cSDHBase
- eVP_DIMENSION : SDH::cSDHBase
- eVP_INVALID : SDH::cSDHBase
- eVP_RAMP : SDH::cSDHBase
- eVP_SIN_SQUARE : SDH::cSDHBase
- ExtractFirmwareState() : SDH::cSDHSerial